Market value

Vehicle Market Value (v2)

Get detailed market values for a VIN, including wholesale, retail and trade-in values across condition tiers, with optional adjustments for US state, mileage and condition.


Checking account...
GET
/v2/marketvalue

Get detailed market values for a VIN, including wholesale, retail and trade-in values across condition tiers, with optional adjustments for US state, mileage and condition.

Authorization

ApiKeyQuery
key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Query Parameters

vin*string

The 17 character long vehicle identification number.

Default"WBAFR7C57CC811956"
Length17 <= length <= 17
state?string

The US state of the vehicle to get the market value for.

mileage?number

The current mileage of the vehicle used to adjust the market value. Must be a valid numeric value.

condition?string

The overall condition of the vehicle.

Value in"excellent" | "clean" | "average" | "rough"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -G https://api.carsxe.com/v2/marketvalue \  -d key=CARSXE_API_KEY \  -d vin=WBAFR7C57CC811956
{
  "uid": "FDE60872",
  "input": {
    "vin": "WBAFR7C57CC811956",
    "country": "US"
  },
  "publish_date": "4/8/2025",
  "state": "NT",
  "country": "US",
  "model_year": "2012",
  "make": "BMW",
  "model": "5-Series",
  "series": "535i",
  "style": "4D Sedan",
  "class_name": "Luxury Car",
  "whole_clean": {
    "base_whole_clean": 5300,
    "mileage_whole_clean": 0,
    "add_deduct_whole_clean": 0,
    "regional_whole_clean": 0
  },
  "retail_clean": {
    "base_retail_clean": 9325,
    "mileage_retail_clean": 0,
    "add_deduct_retail_clean": 0,
    "regional_retail_clean": 0
  }
}

{
  "success": false,
  "message": "Missing vin (vehicle identification number)"
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "message": "No data found for this VIN"
}
{
  "success": false,
  "message": "API usage limit exceeded",
  "usage": {
    "current": 1000,
    "limit": 1000,
    "remaining": 0
  }
}
{
  "success": false,
  "message": "Internal server error"
}
{
  "success": false,
  "message": "Cannot access the internet at this time"
}